spring:
  # MQTT配置
  mqtt:
    host: tcp://mq.xiaoces.com:1883  # 设备/后端的MQTT TCP地址
    username: admin  # Mosquitto共用账号
    password: Admin#12345678 # Mosquitto密码
    client-id: springboot-backend  # 截取UUID前8位（自动去横线）
    # 后端监听的主题
    default-topic: dtu/+/up,dtu/+/ack,frontend/+/control/+,frontend/+/online, frontend/+/+/config
    qos: 0  # 消息可靠性
    timeout: 60 # 连接超时
    keep-alive: 60 # 心跳间隔
    latest-ttl-seconds: 120 #设备最新状态缓存的过期时间（秒）。
    # 自动关闭任务线程池大小
    auto-off-thread-pool-size: 5
    subc-ttl-seconds: 3600 # 在线新跳ttl
    dtu-ctl-lock-ttl: 20